function WindowGameComplete()
{
    this.name = "complete";   //window_controller.Show("job");
    this.layer = 1;
    this.animation_time_in = 20;
    this.animation_time_out = 20;

    this.getImg.x = 160*devise_size;
    this.getImg.y = 2048;
    this.getImg.regX = 110*devise_size;
    this.getImg.regY = 51*devise_size;

    var bg = ss_data.clone();
    bg.gotoAndStop("window");
    this.getImg.addChild(bg);

    var up = ss_data.clone();
    up.gotoAndStop("text_yellow_game_complete");
    up.x = 32*devise_size;
    up.y = 18*devise_size;
    this.getImg.addChild(up);

    this.btn_p = ss_data.clone();
    this.btn_p.gotoAndStop("btn");
    this.btn_p.on("mousedown", function(){ window_controller.Show("map"); });
    this.btn_p.x = 84*devise_size;
    this.btn_p.y = 76*devise_size;
    this.getImg.addChild(this.btn_p);
    var btn_p_up = ss_data.clone();
    btn_p_up.gotoAndStop("icon_back");
    btn_p_up.x = 84*devise_size;
    btn_p_up.y = 76*devise_size;
    this.getImg.addChild(btn_p_up);
}
WindowGameComplete.prototype = new ClassWindow();

WindowGameComplete.prototype.Show = function()
{
    this.getImg.y = 2048;
    if(audio_supported)
        s_level_completed.play();
};

WindowGameComplete.prototype.DrwIn = function()
{
    this.getImg.y = (-105 + 345*(this.animation/this.animation_time_in))*devise_size;
};

WindowGameComplete.prototype.DrwOut = function()
{
    this.getImg.y = (240 + 345*(this.animation/(-this.animation_time_out)))*devise_size;
    if(this.animation == -this.animation_time_out) this.getImg.y = 2048;
};